Loading...
Searching...
No Matches
comment_type Class Reference

`#include <attr.hpp>`

Collaboration diagram for comment_type:
[legend]

## Public Member Functions

constexpr | comment_type (osmium::Timestamp date, osmium::user_id_type uid, const char *user, const char *text) noexcept
constexpr osmium::Timestamp | date () const noexcept
constexpr osmium::user_id_type | uid () const noexcept
constexpr const char * | user () const noexcept
constexpr const char * | text () const noexcept

## Private Attributes

osmium::Timestamp | m_date
osmium::user_id_type | m_uid
const char * | m_user
const char * | m_text

## Constructor & Destructor Documentation

## comment_type()

constexpr comment_type::comment_type | ( | osmium::Timestamp | date,
|  | osmium::user_id_type | uid,
|  | const char * | user,
|  | const char * | text
| ) |  |

inline constexpr noexcept

## Member Function Documentation

## date()

constexpr osmium::Timestamp comment_type::date | ( |  | ) | const

inline constexpr noexcept

## text()

constexpr const char * comment_type::text | ( |  | ) | const

inline constexpr noexcept

## uid()

constexpr osmium::user_id_type comment_type::uid | ( |  | ) | const

inline constexpr noexcept

## user()

constexpr const char * comment_type::user | ( |  | ) | const

inline constexpr noexcept

## Member Data Documentation

## m_date

osmium::Timestamp comment_type::m_date

private

## m_text

const char* comment_type::m_text

private

## m_uid

osmium::user_id_type comment_type::m_uid

private

## m_user

const char* comment_type::m_user

private

The documentation for this class was generated from the following file:

- include/osmium/builder/attr.hpp